Index: /trunk/LMDZ.MARS/README
===================================================================
--- /trunk/LMDZ.MARS/README	(revision 676)
+++ /trunk/LMDZ.MARS/README	(revision 677)
@@ -1682,2 +1682,7 @@
 - corrected bug in computation of HCO2+ in paramfoto_compact.F
 - avoid infinite H2O saturation ratio at very low temperatures in improvedclouds.F
+
+== 29/05/12 == EM
+- Added the possibility to use the "cold" (iaervar=6) or "warm" (iaervar=7)
+  dust scenarios (derived from the 7 MY24 to MY30 scenarios) in
+  aeropacity.F and read_dust_scenario.F
Index: /trunk/LMDZ.MARS/deftank/callphys.def
===================================================================
--- /trunk/LMDZ.MARS/deftank/callphys.def	(revision 676)
+++ /trunk/LMDZ.MARS/deftank/callphys.def	(revision 677)
@@ -3,4 +3,7 @@
 #Run with or without tracer transport ?
 tracer=.false.
+
+#Where are the external files (dust, topography; chemistry,...)
+#datadir=/u/forget/WWW/datagcm/datafile
 
 #Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
@@ -23,7 +26,7 @@
 #  =1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario,
 #  =4 Mars Year 24 from TES assimilation (old version of MY24; dust_tes.nc file)
-#  =24 Mars Year 24 from TES assimilation (ie: MCD reference case)
-#  =25 Mars Year 25 from TES assimilation (ie: a year with a global dust storm)
-#  =26 Mars Year 26 from TES assimilation
+#  =6 "cold" (low dust) scenario ; =7 "warm" (high dust) scenario
+#  =24 Mars Year 24  ; =25 Mars Year 25 (year with a global dust storm) ; ...
+#  =30 Mars Year 30 
 iaervar = 24 
 # Dust opacity at 610 Pa (when constant, i.e. for the iaervar=1 case)
Index: /trunk/LMDZ.MARS/deftank/callphys.def.outliers
===================================================================
--- /trunk/LMDZ.MARS/deftank/callphys.def.outliers	(revision 676)
+++ /trunk/LMDZ.MARS/deftank/callphys.def.outliers	(revision 677)
@@ -3,4 +3,7 @@
 #Run with or without tracer transport ?
 tracer=.true.
+
+#Where are the external files (dust, topography; chemistry,...)
+#datadir=/u/forget/WWW/datagcm/datafile
 
 #Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
@@ -23,7 +26,7 @@
 #  =1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario,
 #  =4 Mars Year 24 from TES assimilation (old version of MY24; dust_tes.nc file)
-#  =24 Mars Year 24 from TES assimilation (ie: MCD reference case)
-#  =25 Mars Year 25 from TES assimilation (ie: a year with a global dust storm)
-#  =26 Mars Year 26 from TES assimilation
+#  =6 "cold" (low dust) scenario ; =7 "warm" (high dust) scenario
+#  =24 Mars Year 24  ; =25 Mars Year 25 (year with a global dust storm) ; ...
+#  =30 Mars Year 30 
 iaervar = 26 
 # Dust opacity at 610 Pa (when constant, i.e. for the iaervar=1 case)
Index: /trunk/LMDZ.MARS/libf/phymars/aeropacity.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/aeropacity.F	(revision 676)
+++ /trunk/LMDZ.MARS/libf/phymars/aeropacity.F	(revision 677)
@@ -236,4 +236,7 @@
           tauref(ig) = tauref(1)
         end do
+      ELSE IF ((iaervar.ge.6).and.(iaervar.le.7)) THEN
+      ! cold or warm synthetic scenarios
+        call read_dust_scenario(ngrid,nlayer,zday,pplev,tauref)
       ELSE IF ((iaervar.ge.24).and.(iaervar.le.30))
      &     THEN  ! << MY... dust scenarios >>
Index: /trunk/LMDZ.MARS/libf/phymars/inifis.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/inifis.F	(revision 676)
+++ /trunk/LMDZ.MARS/libf/phymars/inifis.F	(revision 677)
@@ -179,6 +179,6 @@
          write(*,*) "Dust scenario: 1=constant dust (read from startfi",
      &   " or set as tauvis); 2=Viking scenario; =3 MGS scenario,",
-     &   "=4 Mars Year 24 from TES assimilation, ",
-     &   "=24,25 or 26 :Mars Year 24,25 or 26 from TES assimilation"
+     &   "=6 cold (low dust) scenario; =7 warm (high dust) scenario ",
+     &   "=24,25 ... 30 :Mars Year 24, ... or 30 from TES assimilation"
          iaervar=3 ! default value
          call getin("iaervar",iaervar)
Index: /trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 676)
+++ /trunk/LMDZ.MARS/libf/phymars/read_dust_scenario.F90	(revision 677)
@@ -49,4 +49,6 @@
    ! assimilated dust file: (NB: iaervar is a common in "callkeys.h")
    ! iaervar=4 means read dust_tes.nc file
+   ! iaervar=6 means read dust_cold.nc file
+   ! iaervar=7 means read dust_warm.nc file
    ! iaervar=24 means read dust_MY24.nc file
    ! iaervar=25 means read dust_MY25.nc file
@@ -55,4 +57,8 @@
    ! NB: 4: old TES assimilated MY24 dust scenarios (at 700Pa ref pressure!)
      filename="dust_tes.nc"
+   else if (iaervar.eq.6) then
+     filename="dust_cold.nc"
+   else if (iaervar.eq.7) then
+     filename="dust_warm.nc"
    else if (iaervar.eq.24) then
      filename="dust_MY24.nc"