Index: trunk/LMDZ.MARS/libf/phymars/aeroptproperties.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/aeroptproperties.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/aeroptproperties.F	(revision 690)
@@ -1174,9 +1174,9 @@
           ENDDO ! lg
           write(out_str(1:1),'(i1.1)') out_nchannel
-          call WRITEDIAGFI(ngrid,'qextir'//out_str,"Ext.efficiency","",
+       call WRITEDIAGFI(ngrid,'qextir'//out_str,"Ext.efficiency","",
      &                     3,out_qext)
-          call WRITEDIAGFI(ngrid,'omegir'//out_str,"Sing.Scat.Alb.","",
+       call WRITEDIAGFI(ngrid,'omegir'//out_str,"Sing.Scat.Alb.","",
      &                     3,out_omeg)
-          call WRITEDIAGFI(ngrid,'gir'//out_str,"Asym.Factor","",
+       call WRITEDIAGFI(ngrid,'gir'//out_str,"Asym.Factor","",
      &                     3,out_g)
 c     -------------------------------------------------------------
Index: trunk/LMDZ.MARS/libf/phymars/co2snow.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 690)
@@ -1,4 +1,4 @@
-      SUBROUTINE co2snow (ngrid,nlayer,ptimestep,emisref,condsub,pplev,
-     &        pcondicea,pcondices,pfallice,pemisurf)
+      SUBROUTINE co2snow (ngrid,nlayer,ptimestep,emisref,condsub
+     &         ,pplev,pcondicea,pcondices,pfallice,pemisurf)
 
        IMPLICIT NONE
Index: trunk/LMDZ.MARS/libf/phymars/datareadnc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/datareadnc.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/datareadnc.F	(revision 690)
@@ -122,5 +122,6 @@
         write(*,*)'(in phymars/datareadnc.F)'
         write(*,*)'It should be in :',trim(datafile),'/'
-        write(*,*)'1) You can set this path in the callphys.def file:'
+        write(*,*)'1) You can set this path in the 
+     & callphys.def file:'
         write(*,*)'   datadir=/path/to/the/datafiles'
         write(*,*)'2) If necessary, surface.nc (and other datafiles)'
Index: trunk/LMDZ.MARS/libf/phymars/inistats.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/inistats.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/inistats.F	(revision 690)
@@ -92,6 +92,6 @@
       ierr = NF_PUT_VAR_REAL (nid,nvarid,pseudoalt)
 #endif 
-      call def_var_stats(nid,"aps","hybrid pressure at midlayers"," ", 
-     &            1,idim_llm,nvarid,ierr)
+      call def_var_stats(nid,"aps","hybrid pressure at midlayers"
+     & ," ",1,idim_llm,nvarid,ierr)
 #ifdef NC_DOUBLE
       ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,aps)
@@ -100,6 +100,6 @@
 #endif
 
-      call def_var_stats(nid,"bps","hybrid sigma at midlayers"," ", 
-     &            1,idim_llm,nvarid,ierr)
+      call def_var_stats(nid,"bps","hybrid sigma at midlayers"
+     & ," ",1,idim_llm,nvarid,ierr)
 #ifdef NC_DOUBLE
       ierr = NF_PUT_VAR_DOUBLE (nid,nvarid,bps)
Index: trunk/LMDZ.MARS/libf/phymars/nirco2abs.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nirco2abs.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/nirco2abs.F	(revision 690)
@@ -197,7 +197,7 @@
                      pyy(l)=pplay(ig,l)
                   enddo
-                  call interpnir(cor1,pyy,nlayer,corgcm,pres1d,npres)
-                  call interpnir(oldoco2,pyy,nlayer,oco21d,pres1d,npres)
-                  call interpnir(alfa2,pyy,nlayer,alfa,pres1d,npres)
+               call interpnir(cor1,pyy,nlayer,corgcm,pres1d,npres)
+               call interpnir(oldoco2,pyy,nlayer,oco21d,pres1d,npres)
+               call interpnir(alfa2,pyy,nlayer,alfa,pres1d,npres)
                endif
 
Index: trunk/LMDZ.MARS/libf/phymars/nlte_calc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nlte_calc.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/nlte_calc.F	(revision 690)
@@ -6,5 +6,6 @@
 c     a calculation of transmittances and derivatives of these ones   
       
-      subroutine mzescape(ig,taustar,tauinf,tauii, ib,isot, iirw,iimu)       
+      subroutine mzescape(ig,taustar,tauinf,tauii,
+     &  ib,isot, iirw,iimu) 
 
 c     jul 2011        malv+fgg   adapted to LMD-MGCM                        
Index: trunk/LMDZ.MARS/libf/phymars/yamada4.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/yamada4.F	(revision 689)
+++ trunk/LMDZ.MARS/libf/phymars/yamada4.F	(revision 690)
@@ -596,6 +596,6 @@
       return
       end
-      SUBROUTINE vdif_q2(timestep,gravity,rconst,ngrid,nlay,plev,temp,
-     &  kmy,q2)
+      SUBROUTINE vdif_q2(timestep,gravity,rconst,ngrid,nlay
+     & ,plev,temp,kmy,q2)
       IMPLICIT NONE
 !.......................................................................