Index: /trunk/LMDZ.MARS/README
===================================================================
--- /trunk/LMDZ.MARS/README	(revision 692)
+++ /trunk/LMDZ.MARS/README	(revision 693)
@@ -1692,2 +1692,6 @@
 changes, but are needed for compilation of the Mesoscale model in NESTED configuration
 using the new physics.
+
+== 05/06/12 == AS
+- Change few function names in nlte_aux.F so that nesting is possible. This is 
+completely transparent to GCM users.
Index: /trunk/LMDZ.MARS/libf/phymars/nlte_aux.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/nlte_aux.F	(revision 692)
+++ /trunk/LMDZ.MARS/libf/phymars/nlte_aux.F	(revision 693)
@@ -252,5 +252,5 @@
                                                 
 c     **********************************************************************
-      real*8 function we(ig,me,pe,plaux,idummy,nt_local,p_local,
+      real*8 function iaa_we(ig,me,pe,plaux,idummy,nt_local,p_local,
      $     Desp,wsL)  
 c     icls=5 -->para mztf                           
@@ -428,5 +428,5 @@
 
       if (icls.eq.2) then 
-         we = wl              
+         iaa_we = wl              
          return
       endif
@@ -485,11 +485,11 @@
          endif
 
-         we = sqrt( parentesis )
-!	   write (*,*)  ' from we: xdop,alda,wd', sngl(x),alda(kr),sngl(wd)
-!	   write (*,*)  ' from we: we', we                             
+         iaa_we = sqrt( parentesis )
+!	   write (*,*)  ' from iaa_we: xdop,alda,wd', sngl(x),alda(kr),sngl(wd)
+!	   write (*,*)  ' from iaa_we: we', iaa_we                             
 
       else                                           
 
-         we = wl                                     
+         iaa_we = wl                                     
 	  ! if there is supersaturation we can ignore wd completely;           
 	  ! mztf.f will compute the eqw of the whole box afterwards            
@@ -497,8 +497,8 @@
       endif                                          
                                                 
-      if (icls.eq.3) we = wd                         
+      if (icls.eq.3) iaa_we = wd                         
       
       if ( idummy.gt.9 )
-     @     write (*,*) ' wl,wd,w =', wl,wd,we
+     @     write (*,*) ' wl,wd,w =', wl,wd,iaa_we
       
       wsL = wl 
@@ -594,8 +594,8 @@
       real*8 		ept,eps,xa                            
       real*8		acc,  c                                
-      real*8 		we                                    
-      real*8		f, fi, simrul                          
-                                                
-      external f,fi                                  
+      real*8 		iaa_we                                    
+      real*8		iaa_f, iaa_fi, simrul                          
+                                                
+      external iaa_f,iaa_fi                                  
                                                 
 c	********** *********** *********                                     
@@ -604,14 +604,14 @@
 !           if(ig.eq.1682)write(*,*)'mztfsub_overlap/768',ua(kr),iirw
          if (iirw.eq.2) then    !iirw=icf=2 ==> we use the w&r formula      
-            w = we(ig,ua(kr),pt,pp, idummy, c1,p1, Desp, wsL )  
+            w = iaa_we(ig,ua(kr),pt,pp, idummy, c1,p1, Desp, wsL )  
             return                                        
          end if                                      
-         ept=we(ig,ua(kr),pt,pp, idummy,c1,p1, Desp, wsL)
+         ept=iaa_we(ig,ua(kr),pt,pp, idummy,c1,p1, Desp, wsL)
       else                      !para fot               
          if (iirw.eq.2) then    ! icf=2 ==> we use the w&r formula 
-            w = we(ig,sl_ua,pt,pp, idummy,c1,p1, Desp, wsL)
+            w = iaa_we(ig,sl_ua,pt,pp, idummy,c1,p1, Desp, wsL)
             return                                        
          end if                                      
-         ept=we(ig,sl_ua,pt,pp, idummy,c1,p1, Desp, wsL)                    
+         ept=iaa_we(ig,sl_ua,pt,pp, idummy,c1,p1, Desp, wsL)
       end if                                         
                                                 
@@ -630,6 +630,7 @@
                                                 
       eps = acc * ept 		!accuracy 10-4 atmospheric eqw.  
-      xa=0.5*ept/f(0.d0)        !width of doppler shifted atmospheric line.    
-      w=2.0*(simrul(0.0d0,xa,f,c,eps)+simrul(0.1d0,1.0/xa,fi,c,eps))     
+      xa=0.5*ept/iaa_f(0.d0)        !width of doppler shifted atmospheric line.    
+      w = 2.0*( simrul(0.0d0,xa,iaa_f,c,eps)
+     .        + simrul(0.1d0,1.0/xa,iaa_fi,c,eps) )
 !no shift.                                      
                                                 
@@ -639,12 +640,12 @@
                                                 
 c     **********************************************************************
-      double precision function fi(y)                
+      double precision function iaa_fi(y)                
 c     returns the value of f(1/y)                   
 c     **********************************************************************
                                                 
       implicit none                                  
-      real*8 f, y                                    
-                                                
-      fi=f(1.0/y)/y**2                               
+      real*8 iaa_f, y                                    
+                                                
+      iaa_fi=iaa_f(1.0/y)/y**2                               
       return                                         
       end                                            
@@ -652,5 +653,5 @@
                                                 
 c     **********************************************************************
-      double precision function f(nuaux)                
+      double precision function iaa_f(nuaux)                
 c     calculates 1-exp(-k(nu)u) for all series paths or combinations thereof
 c     **********************************************************************