Index: trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90	(revision 695)
@@ -2,5 +2,5 @@
 ! AC 2011-01-05
 !
-      SUBROUTINE calltherm_interface (firstcall, &
+      SUBROUTINE calltherm_interface (firstcall, & 
      & zzlev,zzlay, &
      & ptimestep,pu,pv,pt,pq,pdu,pdv,pdt,pdq,q2, &
@@ -24,5 +24,6 @@
 !      REAL, INTENT(IN) :: long(ngridmx),lati(ngridmx)
       REAL, INTENT(IN) :: ptimestep
-      REAL, INTENT(IN) :: pplev(ngridmx,nlayermx+1),pplay(ngridmx,nlayermx)
+      REAL, INTENT(IN) :: pplev(ngridmx,nlayermx+1)
+      REAL, INTENT(IN) :: pplay(ngridmx,nlayermx)
       REAL, INTENT(IN) :: pphi(ngridmx,nlayermx)
       REAL, INTENT(IN) :: pu(ngridmx,nlayermx),pv(ngridmx,nlayermx)
@@ -32,5 +33,6 @@
       LOGICAL, INTENT(IN) :: firstcall
       REAL, INTENT(IN) :: pdu(ngridmx,nlayermx),pdv(ngridmx,nlayermx)
-      REAL, INTENT(IN) :: pdq(ngridmx,nlayermx,nqmx),pdt(ngridmx,nlayermx)
+      REAL, INTENT(IN) :: pdq(ngridmx,nlayermx,nqmx)
+      REAL, INTENT(IN) :: pdt(ngridmx,nlayermx)
       REAL, INTENT(IN) :: q2(ngridmx,nlayermx+1)
       REAL, INTENT(IN) :: zpopsk(ngridmx,nlayermx)
Index: trunk/LMDZ.MARS/libf/phymars/nlte_aux.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nlte_aux.F	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/nlte_aux.F	(revision 695)
@@ -277,5 +277,5 @@
 c arguments                 
       integer         ig        ! ADDED FOR TRACEBACK
-      real*8		me      ! I. path's absorber amount  
+      real*8          me      ! I. path's absorber amount  
       real*8          pe        ! I. path's presion total
       real*8          plaux     ! I. path's partial pressure of CO2
@@ -287,8 +287,8 @@
       
 c local variables                               
-      integer 	i                                     
-      real*8 		y,x,wl,wd                    
-      real*8		cn(0:7),dn(0:7)                        
-      real*8 		pi, xx                                
+      integer         i                                     
+      real*8          y,x,wl,wd                    
+      real*8          cn(0:7),dn(0:7)                        
+      real*8          pi, xx                                
       real*8          f_sat_box                      
       real*8          dv_sat_box, dv_corte_box       
@@ -558,5 +558,5 @@
       write(2,7) c1,c,c2,fsim(c1),fsim(c),fsim(c2)    
       write(*,7) c1,c,c2,fsim(c1),fsim(c),fsim(c2)      
- 7    format(2x,17hsimrule fails at ,/,3e15.6,/,3e15.6)     
+ 7    format(2x,'17hsimrule fails at ',/,3e15.6,/,3e15.6)     
       goto 8                                         
  5    a0=s1(n)                                  
Index: trunk/LMDZ.MARS/libf/phymars/nlte_calc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nlte_calc.F	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/nlte_calc.F	(revision 695)
@@ -155,8 +155,8 @@
                                                             
 c vibr. temp of the bending mode :              
-      if (isot.eq.1) call interdp ( tvtbs,zyd,nzy, v626t1,zld,nl, 1 )  
-      if (isot.eq.2) call interdp ( tvtbs,zyd,nzy, v628t1,zld,nl, 1 )  
-      if (isot.eq.3) call interdp ( tvtbs,zyd,nzy, v636t1,zld,nl, 1 )  
-      if (isot.eq.4) call interdp ( tvtbs,zyd,nzy, v627t1,zld,nl, 1 )  
+      if (isot.eq.1) call interdp (tvtbs,zyd,nzy,v626t1,zld,nl,1)  
+      if (isot.eq.2) call interdp (tvtbs,zyd,nzy,v628t1,zld,nl,1)  
+      if (isot.eq.3) call interdp (tvtbs,zyd,nzy,v636t1,zld,nl,1)  
+      if (isot.eq.4) call interdp (tvtbs,zyd,nzy,v627t1,zld,nl,1)  
       
 c 2nd: correccion a la n10(i) (cantidad de absorbente en el lower state)
@@ -683,7 +683,10 @@
 c***********************************************************************
                                                             
-      call mzescape (ig,taustar21,tauinf210,tauii210,1,2,irw_mztf,imu) 
-      call mzescape (ig,taustar31,tauinf310,tauii310,1,3,irw_mztf,imu)
-      call mzescape (ig,taustar41,tauinf410,tauii410,1,4,irw_mztf,imu)
+      call mzescape (ig,taustar21,tauinf210,tauii210,1,2
+     & ,irw_mztf,imu) 
+      call mzescape (ig,taustar31,tauinf310,tauii310,1,3
+     & ,irw_mztf,imu)
+      call mzescape (ig,taustar41,tauinf410,tauii410,1,4
+     & ,irw_mztf,imu)
                                                             
       istyle = 2                                     
@@ -915,8 +918,8 @@
       enddo      
 c vibr. temp of the bending mode :  
-      if (isot.eq.1) call interdp ( tvtbs,zyd,nzy, v626t1,zld,nl, 1 )  
-      if (isot.eq.2) call interdp ( tvtbs,zyd,nzy, v628t1,zld,nl, 1 )  
-      if (isot.eq.3) call interdp ( tvtbs,zyd,nzy, v636t1,zld,nl, 1 )  
-      if (isot.eq.4) call interdp ( tvtbs,zyd,nzy, v627t1,zld,nl, 1 )  
+      if (isot.eq.1) call interdp(tvtbs,zyd,nzy, v626t1,zld,nl,1)  
+      if (isot.eq.2) call interdp(tvtbs,zyd,nzy, v628t1,zld,nl,1)  
+      if (isot.eq.3) call interdp(tvtbs,zyd,nzy, v636t1,zld,nl,1)  
+      if (isot.eq.4) call interdp(tvtbs,zyd,nzy, v627t1,zld,nl,1)  
         !if (isot.eq.5) call interdp ( tvtbs,zxd,nz, vcot1,zld,nl, 1 )  
         
@@ -2037,8 +2040,8 @@
             
 c vibr. temp of the bending mode :  
-      if (isot.eq.1) call interdp ( tvtbs,zyd,nzy, v626t1,zld,nl, 1 )  
-      if (isot.eq.2) call interdp ( tvtbs,zyd,nzy, v628t1,zld,nl, 1 )  
-      if (isot.eq.3) call interdp ( tvtbs,zyd,nzy, v636t1,zld,nl, 1 )  
-      if (isot.eq.4) call interdp ( tvtbs,zyd,nzy, v627t1,zld,nl, 1 )  
+      if (isot.eq.1) call interdp(tvtbs,zyd,nzy, v626t1,zld,nl,1)  
+      if (isot.eq.2) call interdp(tvtbs,zyd,nzy, v628t1,zld,nl,1)  
+      if (isot.eq.3) call interdp(tvtbs,zyd,nzy, v636t1,zld,nl,1)  
+      if (isot.eq.4) call interdp(tvtbs,zyd,nzy, v627t1,zld,nl,1)  
         !if (isot.eq.5) call interdp ( tvtbs,zxd,nz, vcot1,zld,nl, 1 )  
             
@@ -2533,22 +2536,22 @@
                                                 
 ! tvtbs is the bending mode of the molecule. used in xqv.   
-      if (isot.eq.1) call interdp (tvtbs,zyd,nzy, v626t1,zld,nl, 1 )  
-      if (isot.eq.2) call interdp (tvtbs,zyd,nzy, v628t1,zld,nl, 1 )  
-      if (isot.eq.3) call interdp (tvtbs,zyd,nzy, v636t1,zld,nl, 1 )  
-      if (isot.eq.4) call interdp (tvtbs,zyd,nzy, v627t1,zld,nl, 1 )  
-      if (isot.eq.5) call interdp (tvtbs,zyd,nzy, vcot1,zld,nl, 1 )   
+      if (isot.eq.1) call interdp (tvtbs,zyd,nzy,v626t1,zld,nl,1)  
+      if (isot.eq.2) call interdp (tvtbs,zyd,nzy,v628t1,zld,nl,1)  
+      if (isot.eq.3) call interdp (tvtbs,zyd,nzy,v636t1,zld,nl,1)  
+      if (isot.eq.4) call interdp (tvtbs,zyd,nzy,v627t1,zld,nl,1)  
+      if (isot.eq.5) call interdp (tvtbs,zyd,nzy,vcot1,zld,nl,1)   
       
 ! tvt0 is the lower level of the transition. used in xlower.            
       if (ib.eq.2 .or. ib.eq.3 .or. ib.eq.4 .or. ib.eq.15) then  
-         if (isot.eq.1) call interdp (tvt0,zyd,nzy, v626t1,zld,nl, 1 ) 
-         if (isot.eq.2) call interdp (tvt0,zyd,nzy, v628t1,zld,nl, 1 ) 
-         if (isot.eq.3) call interdp (tvt0,zyd,nzy, v636t1,zld,nl, 1 ) 
-         if (isot.eq.4) call interdp (tvt0,zyd,nzy, v627t1,zld,nl, 1 ) 
+         if (isot.eq.1) call interdp(tvt0,zyd,nzy,v626t1,zld,nl,1) 
+         if (isot.eq.2) call interdp(tvt0,zyd,nzy,v628t1,zld,nl,1) 
+         if (isot.eq.3) call interdp(tvt0,zyd,nzy,v636t1,zld,nl,1) 
+         if (isot.eq.4) call interdp(tvt0,zyd,nzy,v627t1,zld,nl,1) 
       elseif (ib.eq.6 .or. ib.eq.8 .or. ib.eq.10     
      @        .or. ib.eq.13 .or. ib.eq.14                  
      @        .or. ib.eq.17 .or. ib.eq.19 .or. ib.eq.20) then          
-         if (isot.eq.1) call interdp ( tvt0,zyd,nzy, v626t2,zld,nl, 1 )
-         if (isot.eq.2) call interdp ( tvt0,zyd,nzy, v628t2,zld,nl, 1 )
-         if (isot.eq.3) call interdp ( tvt0,zyd,nzy, v636t2,zld,nl, 1 )
+         if (isot.eq.1) call interdp(tvt0,zyd,nzy,v626t2,zld,nl,1)
+         if (isot.eq.2) call interdp(tvt0,zyd,nzy,v628t2,zld,nl,1)
+         if (isot.eq.3) call interdp(tvt0,zyd,nzy,v636t2,zld,nl,1)
          if (isot.eq.4) then  
             call interdp ( tvt0,zyd,nzy, v627t2,zld,nl, 1 )
@@ -2566,8 +2569,8 @@
 c tvt1 is the upper level of the transition.    
       if (ib.eq.13 .or. ib.eq.14) then 
-         if (isot.eq.1) call interdp ( tvt1,zyd,nzy, v626t4,zld,nl, 1 )
-         if (isot.eq.2) call interdp ( tvt1,zyd,nzy, v628t4,zld,nl, 1 ) 
-         if (isot.eq.3) call interdp ( tvt1,zyd,nzy, v636t4,zld,nl, 1 )
-         if (isot.eq.4) call interdp ( tvt1,zyd,nzy, v627t4,zld,nl, 1 )
+         if (isot.eq.1) call interdp(tvt1,zyd,nzy,v626t4,zld,nl,1)
+         if (isot.eq.2) call interdp(tvt1,zyd,nzy,v628t4,zld,nl,1) 
+         if (isot.eq.3) call interdp(tvt1,zyd,nzy,v636t4,zld,nl,1)
+         if (isot.eq.4) call interdp(tvt1,zyd,nzy,v627t4,zld,nl,1)
       end if
       
@@ -2586,6 +2589,6 @@
 
 	    !!! vt of the 3 levels in (020)  (see pag. 36a-sn1 for this)       
-	    xalfa = 1.d0/2.d0* exp( dble(-ee*(nu12_1000-nu(1,2))/ty(i)) )      
-	    xbeta = 1.d0/2.d0* exp( dble(-ee*(nu12_0200-nu(1,2))/ty(i)) )      
+	    xalfa = 1.d0/2.d0*exp(dble(-ee*(nu12_1000-nu(1,2))/ty(i)))      
+	    xbeta = 1.d0/2.d0*exp(dble(-ee*(nu12_0200-nu(1,2))/ty(i)))      
 	    xtv0200 = dble( - ee * nu12_0200 ) /       
      @           ( log( xbeta/(1.d0+xalfa+xbeta) ) - 
@@ -2603,5 +2606,5 @@
      @           ( log(2./(1.d0+xalfa+xbeta)) - ee*nu(1,2)/tvt0(i) ) )     
 	    xtv1000 = dble( - ee * nu12_1000 /       
-     @           ( log(4.*xalfa/(1.d0+xalfa+xbeta))-ee*nu(1,2)/tvt0(i)))
+     @           (log(4.*xalfa/(1.d0+xalfa+xbeta))-ee*nu(1,2)/tvt0(i)))
 
 !            if ( icurt_pop.eq.30 ) then 
@@ -4013,5 +4016,5 @@
 	    !write (*,*)  ' cm15um_hb/11 '                                  
 	    !write (*,*)  ' ib, ist, irw, imu =', ib, ist, irw_mztf, imu     
-               call mztf ( ig,cax1,cax2,cax3,v1,v2, ib,ist,irw_mztf,imu,      
+               call mztf(ig,cax1,cax2,cax3,v1,v2,ib,ist,irw_mztf,imu,
      @              itauout,icfout,itableout)                    
 !	  else                                         
Index: trunk/LMDZ.MARS/libf/phymars/nlte_tcool.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nlte_tcool.F	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/nlte_tcool.F	(revision 695)
@@ -238,5 +238,6 @@
 !          	hrkday_factor(i) =  hrkday_convert( t(i),        
 !     @        	  co2vmr(i), o3pvmr(i), n2vmr(i), covmr(i) )
-         hrkday_factor(i) = hrkday_convert(mmean_nlte(i),cpnew_nlte(i))
+         hrkday_factor(i) = hrkday_convert(mmean_nlte(i)
+     &                          ,cpnew_nlte(i))
 
       enddo
Index: trunk/LMDZ.MARS/libf/phymars/nuclea.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/nuclea.F	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/nuclea.F	(revision 695)
@@ -161,5 +161,6 @@
           !! ... + TERM B
           yeah = (rap-cost)/yeah
-          fshape = fshape + rap*rap*rap*(2.-3.*yeah+yeah*yeah*yeah)
+          fshape = fshape + 
+     & rap*rap*rap*(2.-3.*yeah+yeah*yeah*yeah)
           !! ... + TERM C 
           fshape = fshape + 3. * cost * rap * rap * (yeah-1.)
Index: trunk/LMDZ.MARS/libf/phymars/physiq.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 694)
+++ trunk/LMDZ.MARS/libf/phymars/physiq.F	(revision 695)
@@ -1527,29 +1527,29 @@
 c        "stats")          only possible in 3D runs !
          
-         IF (callstats) THEN
-
-           call wstats(ngrid,"ps","Surface pressure","Pa",2,ps)
-           call wstats(ngrid,"tsurf","Surface temperature","K",2,tsurf)
-           call wstats(ngrid,"co2ice","CO2 ice cover",
+       IF (callstats) THEN
+
+        call wstats(ngrid,"ps","Surface pressure","Pa",2,ps)
+        call wstats(ngrid,"tsurf","Surface temperature","K",2,tsurf)
+        call wstats(ngrid,"co2ice","CO2 ice cover",
      &                "kg.m-2",2,co2ice)
-           call wstats(ngrid,"fluxsurf_lw",
+        call wstats(ngrid,"fluxsurf_lw",
      &                "Thermal IR radiative flux to surface","W.m-2",2,
      &                fluxsurf_lw)
-           call wstats(ngrid,"fluxsurf_sw",
+        call wstats(ngrid,"fluxsurf_sw",
      &                "Solar radiative flux to surface","W.m-2",2,
      &                fluxsurf_sw_tot)
-           call wstats(ngrid,"fluxtop_lw",
+        call wstats(ngrid,"fluxtop_lw",
      &                "Thermal IR radiative flux to space","W.m-2",2,
      &                fluxtop_lw)
-           call wstats(ngrid,"fluxtop_sw",
+        call wstats(ngrid,"fluxtop_sw",
      &                "Solar radiative flux to space","W.m-2",2,
      &                fluxtop_sw_tot)
-           call wstats(ngrid,"temp","Atmospheric temperature","K",3,zt)
-           call wstats(ngrid,"u","Zonal (East-West) wind","m.s-1",3,zu)
-           call wstats(ngrid,"v","Meridional (North-South) wind",
+        call wstats(ngrid,"temp","Atmospheric temperature","K",3,zt)
+        call wstats(ngrid,"u","Zonal (East-West) wind","m.s-1",3,zu)
+        call wstats(ngrid,"v","Meridional (North-South) wind",
      &                "m.s-1",3,zv)
 c           call wstats(ngrid,"w","Vertical (down-up) wind",
 c     &                "m.s-1",3,pw)
-           call wstats(ngrid,"rho","Atmospheric density","kg/m3",3,rho)
+        call wstats(ngrid,"rho","Atmospheric density","kg/m3",3,rho)
 c           call wstats(ngrid,"pressure","Pressure","Pa",3,pplay)
 c          call wstats(ngrid,"q2",