Index: /trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90	(revision 708)
+++ /trunk/LMDZ.MARS/libf/phymars/calltherm_interface.F90	(revision 709)
@@ -209,8 +209,8 @@
                                 ! very well with a sub-timestep of 10.
          IF (firstcall) THEN
+            r_aspect_thermals=1.  ! same value is OK for GCM and mesoscale
 #ifdef MESOSCALE
             !! valid for timesteps < 200s
             nsplit_thermals=4
-            r_aspect_thermals=0.7
 #else
             IF ((ptimestep .le. 3699.*24./96.) .and. (iradia .eq. 1)) THEN
@@ -219,5 +219,4 @@
                nsplit_thermals=35
             ENDIF
-            r_aspect_thermals=1.
 #endif
             call getin("nsplit_thermals",nsplit_thermals)
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0.thermals
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0.thermals	(revision 709)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars0.thermals	(revision 709)
@@ -0,0 +1,139 @@
+##General options
+##~~~~~~~~~~~~~~~
+#Directory where external input files are
+datadir = /san/home/spiga/DATAFILE/
+datadir = /d5/aslmd/datafile/
+datadir=/users/forget/WWW/datagcm/datafile/
+
+#Run with or without tracer transport ?
+tracer=.true.
+
+#Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
+diurnal=.true.
+
+#Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
+season = .true.   
+
+#write some more output on the screen ?
+lwrite = .false.    
+
+#Save statistics in file "stats.nc" ?
+callstats =.false.
+
+#Save EOF profiles in file "profiles" for Climate Database?
+calleofdump = .false.
+
+## Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+## ~~~~~~~~~~~~~
+#  =1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario,
+#  =4 Mars Year 24 from TES assimilation (same as =24 for now)
+#  =24 Mars Year 24 from TES assimilation (ie: MCD reference case)
+#  =25 Mars Year 25 from TES assimilation (ie: a year with a global dust storm)
+#  =26 Mars Year 26 from TES assimilation
+iaervar = 26 
+# Dust opacity at 700 Pa (when constant, i.e. for the iaervar=1 case)
+tauvis=0.2
+# Dust vertical distribution: 
+# (=0: old distrib. (Pollack90), =1: top set by "topdustref",
+#  =2: Viking scenario; =3 MGS scenario)
+iddist  = 3
+# Dust top altitude (km). (Matters only if iddist=1)
+topdustref = 55.
+
+## Physical Parameterizations :
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer ?
+callrad   = .true.
+# call NLTE radiative schemes ?   matters only if callrad=T
+callnlte = .false. #.true.
+# call CO2 NIR absorption ?   matters only if callrad=T
+callnirco2 = .false. #.true.
+# call turbulent vertical diffusion ?
+calldifv  = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call CO2 condensation ?
+callcond =.true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+# call Lott's gravity wave/subgrid topography scheme ?
+calllott  = .false.
+# Impose polar cap surface albedos as observed by TES?
+TESicealbedo = .true.
+
+## Radiative transfer options :
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# the rad.transfer is computed every "iradia" physical timestep
+iradia    = 6
+# Output of the exchange coefficient mattrix ? for diagnostic only
+callg2d  = .false.
+# Rayleigh scattering : (should be .false. for now)
+rayleigh  = .false.
+
+## Tracer (dust water, ice and/or chemical species) options (used if tracer=T):
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# DUST: Transported dust ? (if >0, use 'dustbin' dust bins)
+dustbin    = 0 
+# DUST: Radiatively active dust ? (matters if dustbin>0)
+active  = .false.
+# DUST: use mass and number mixing ratios to predict dust size ?
+doubleq   = .false.
+# DUST: lifted by GCM surface winds ?
+lifting = .false.
+# DUST: lifted by dust devils ?
+callddevil = .false.
+# DUST: Scavenging by CO2 snowfall ?
+scavenging = .false.
+# DUST/WATERICE: Gravitationnal sedimentation ?
+sedimentation = .false.
+# WATERICE: Radiatively active transported atmospheric water ice ?
+activice   = .false.
+# WATER: Compute water cycle
+water = .false.
+# WATER: Microphysical scheme for water-ice clouds?
+microphys = .false.
+# WATER: parameter contact
+mteta = 0.95
+# WATER: current permanent caps at both poles. True IS RECOMMENDED
+#        (with .true., North cap is a source of water and South pole
+#         is a cold trap)
+caps  = .true.
+# WATER: Water ice albedo ?
+albedo_h2o_ice = 0.35
+# WATER: Water ice thermal inertia
+inert_h2o_ice = 800
+# WATER: Frost thickness threshold for albedo
+frost_albedo_threshold = 0.005
+nuice_sed=0.1
+icedryness=1
+nircorr=0
+imicro = 2
+imicro = 1
+# PHOTOCHEMISTRY: include chemical species 
+photochem  = .false.
+
+## Thermospheric options (relevant if tracer=T) :
+##~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call thermosphere ?
+callthermos = .false.
+# WATER: included without cycle (only if water=.false.)
+thermoswater = .false.
+# call thermal conduction ? (only if callthermos=.true.)
+callconduct = .false.
+# call EUV heating ? (only if callthermos=.true.)
+calleuv=.false.
+# call molecular viscosity ? (only if callthermos=.true.)
+callmolvis = .false.
+# call molecular diffusion ? (only if callthermos=.true.)
+callmoldiff = .false.
+# call thermospheric photochemistry ? (only if callthermos=.true.)
+thermochem = .false.
+# date for solar flux calculation: (1985 < date < 2002)
+## (Solar min=1996.4 ave=1993.4 max=1990.6)
+solarcondate = 1993.4
+       
+
+## Thermals
+## ~~~~~~~~
+calltherm = .true.
+callrichsl = .true.
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars11_radact_therm
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars11_radact_therm	(revision 708)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars11_radact_therm	(revision 709)
@@ -1,16 +1,8 @@
-## Thermals Options
-##~~~~~~~~~~~~~~~~~
-# Activate thermals :
-calltherm = .true.
-callrichsl = .true.
-#nsplit_thermals = 10
-
-nircorr = 0
-
 ##General options
 ##~~~~~~~~~~~~~~~
 #Directory where external input files are
-datadir = /san/home/spiga/DATAFILE/ 
+datadir = /san/home/spiga/DATAFILE/
 datadir = /d5/aslmd/datafile/
+datadir=/users/forget/WWW/datagcm/datafile/
 
 #Run with or without tracer transport ?
@@ -41,5 +33,5 @@
 iaervar = 26 
 # Dust opacity at 700 Pa (when constant, i.e. for the iaervar=1 case)
-tauvis=0.2
+tauvis=0.1
 # Dust vertical distribution: 
 # (=0: old distrib. (Pollack90), =1: top set by "topdustref",
@@ -56,5 +48,5 @@
 callnlte = .false.
 # call CO2 NIR absorption ?   matters only if callrad=T
-callnirco2 = .false. 
+callnirco2 = .true.
 # call turbulent vertical diffusion ?
 calldifv  = .true.
@@ -86,7 +78,7 @@
 active  = .true.
 # DUST: use mass and number mixing ratios to predict dust size ?
-doubleq   = .true. 
+doubleq   = .true.
 # DUST: lifted by GCM surface winds ?
-lifting = .true. 
+lifting = .true.
 # DUST: lifted by dust devils ?
 callddevil = .false.
@@ -99,8 +91,22 @@
 # WATER: Compute water cycle
 water = .true.
+# WATER: Microphysical scheme for water-ice clouds?
+microphys = .false.
+# WATER: parameter contact
+mteta = 0.95
 # WATER: current permanent caps at both poles. True IS RECOMMENDED
 #        (with .true., North cap is a source of water and South pole
 #         is a cold trap)
 caps  = .true.
+# WATER: Water ice albedo ?
+albedo_h2o_ice = 0.35
+# WATER: Water ice thermal inertia
+inert_h2o_ice = 800
+# WATER: Frost thickness threshold for albedo
+frost_albedo_threshold = 0.005
+nuice_sed=0.1
+icedryness=1
+nircorr=0
+imicro = 2
 # PHOTOCHEMISTRY: include chemical species 
 photochem  = .false.
@@ -127,3 +133,6 @@
        
 
-
+## Thermals
+## ~~~~~~~~
+calltherm = .true.
+callrichsl = .true.
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_therm_scavenging
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_therm_scavenging	(revision 709)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/callphys.def.mars12_radact_therm_scavenging	(revision 709)
@@ -0,0 +1,141 @@
+##General options
+##~~~~~~~~~~~~~~~
+#Directory where external input files are
+datadir = /san/home/spiga/DATAFILE/
+datadir = /d5/aslmd/datafile/
+datadir=/users/forget/WWW/datagcm/datafile/
+
+#Run with or without tracer transport ?
+tracer=.true.
+
+#Diurnal cycle ?  if diurnal=False, diurnal averaged solar heating
+diurnal=.true.
+
+#Seasonal cycle ? if season=False, Ls stays constant, to value set in "start"
+season = .true.   
+
+#write some more output on the screen ?
+lwrite = .false.    
+
+#Save statistics in file "stats.nc" ?
+callstats =.false.
+
+#Save EOF profiles in file "profiles" for Climate Database?
+calleofdump = .false.
+
+## Dust scenario. Used if the dust is prescribed (i.e. if tracer=F or active=F)
+## ~~~~~~~~~~~~~
+#  =1 Dust opt.deph read in startfi; =2 Viking scenario; =3 MGS scenario,
+#  =4 Mars Year 24 from TES assimilation (old version of MY24; dust_tes.nc file)
+#  =24 Mars Year 24 from TES assimilation (ie: MCD reference case)
+#  =25 Mars Year 25 from TES assimilation (ie: a year with a global dust storm)
+#  =26 Mars Year 26 from TES assimilation
+iaervar = 26 
+# Dust opacity at 700 Pa (when constant, i.e. for the iaervar=1 case)
+tauvis=0.1
+# Dust vertical distribution: 
+# (=0: old distrib. (Pollack90), =1: top set by "topdustref",
+#  =2: Viking scenario; =3 MGS scenario)
+iddist  = 3
+# Dust top altitude (km). (Matters only if iddist=1)
+topdustref = 55.
+
+## Physical Parameterizations :
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer ?
+callrad   = .true.
+# call NLTE radiative schemes ?   matters only if callrad=T
+callnlte = .false.
+# call CO2 NIR absorption ?   matters only if callrad=T
+callnirco2 = .true.
+# call turbulent vertical diffusion ?
+calldifv  = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call CO2 condensation ?
+callcond =.true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+# call Lott's gravity wave/subgrid topography scheme ?
+calllott  = .false.
+# Impose polar cap surface albedos as observed by TES?
+TESicealbedo = .true.
+
+## Radiative transfer options :
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# the rad.transfer is computed every "iradia" physical timestep
+iradia    = 6
+# Output of the exchange coefficient mattrix ? for diagnostic only
+callg2d  = .false.
+# Rayleigh scattering : (should be .false. for now)
+rayleigh  = .false.
+
+## Tracer (dust water, ice and/or chemical species) options (used if tracer=T):
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# DUST: Transported dust ? (if >0, use 'dustbin' dust bins)
+dustbin    = 2
+# DUST: Radiatively active dust ? (matters if dustbin>0)
+active  = .true.
+# DUST: use mass and number mixing ratios to predict dust size ?
+doubleq   = .true.
+# DUST: lifted by GCM surface winds ?
+lifting = .true.
+# DUST: lifted by dust devils ?
+callddevil = .false.
+# DUST: Scavenging by H2O/CO2 snowfall ?
+scavenging = .true.
+# DUST/WATERICE: Gravitationnal sedimentation ?
+sedimentation = .true.
+# WATERICE: Radiatively active transported atmospheric water ice ?
+activice   = .true.
+# WATER: Compute water cycle
+water = .true.
+# WATER: Microphysical scheme for water-ice clouds?
+microphys = .true.
+# WATER: parameter contact
+mteta = 0.95
+# WATER: current permanent caps at both poles. True IS RECOMMENDED
+#        (with .true., North cap is a source of water and South pole
+#         is a cold trap)
+caps  = .true.
+# WATER: Water ice albedo ?
+albedo_h2o_ice = 0.35
+# WATER: Water ice thermal inertia
+inert_h2o_ice = 800
+# WATER: Frost thickness threshold for albedo
+frost_albedo_threshold = 0.005
+nuice_sed=0.1
+icedryness=1
+nircorr=0
+#imicro = 2
+#imicro = 1
+#imicro = 10
+imicro = 5
+# PHOTOCHEMISTRY: include chemical species 
+photochem  = .false.
+
+## Thermospheric options (relevant if tracer=T) :
+##~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call thermosphere ?
+callthermos = .false.
+# WATER: included without cycle (only if water=.false.)
+thermoswater = .false.
+# call thermal conduction ? (only if callthermos=.true.)
+callconduct = .false.
+# call EUV heating ? (only if callthermos=.true.)
+calleuv=.false.
+# call molecular viscosity ? (only if callthermos=.true.)
+callmolvis = .false.
+# call molecular diffusion ? (only if callthermos=.true.)
+callmoldiff = .false.
+# call thermospheric photochemistry ? (only if callthermos=.true.)
+thermochem = .false.
+# date for solar flux calculation: (1985 < date < 2002)
+## (Solar min=1996.4 ave=1993.4 max=1990.6)
+solarcondate = 1993.4
+       
+
+## Thermals
+## ~~~~~~~~
+calltherm = .true.
+callrichsl = .true.
Index: /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input	(revision 708)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SIMU/DEF/newphys_THARSIS_WATER/namelist.input	(revision 709)
@@ -3,9 +3,9 @@
  start_month      = 05,      !! (p1) Start Martian Month
  start_day        = 01,      !! (p1) Start Martian Day
- start_hour       = 01,      !! (p1) Start Martian Hour (at longitude 0)
+ start_hour       = 06,      !! (p1) Start Martian Hour (at longitude 0)
  end_year         = 2024,    !! (p1) End Martian Year (20XX for MY XX)
  end_month        = 05,      !! (p1) End Martian Month
- end_day          = 09,      !! (p1) End Martian Day
- end_hour         = 01,      !! (p1) End Martian Hour (at longitude 0)
+ end_day          = 03,      !! (p1) End Martian Day
+ end_hour         = 06,      !! (p1) End Martian Hour (at longitude 0)
  history_interval    = 37,   !! Frequency of outputs (37 --> 3700s = 1 Martian hour)  
  frames_per_outfile  = 24,   !! Size of time dimension in files 
@@ -34,5 +34,5 @@
 
  &physics
- mars = 11  
+ mars = 12 !0 !11  
  num_soil_layers = 18 !!! NOUVELLE PHYSIQUE
  /
@@ -40,5 +40,5 @@
  &dynamics
  tiso = 100.
- diff_6th_opt = 0
+ diff_6th_opt = 0  !!also works without
  /
 